Covara logoDocs
Endpoint ReferenceUsage

Get API usage

GET
/v1/usage

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

from?string

ISO 8601 start timestamp.

Formatdate-time
to?string

ISO 8601 end timestamp.

Formatdate-time
keyId?string

Filter usage to a specific API key ID.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/usage"
{
  "usage": {},
  "bySource": {
    "web": 0,
    "api": 0
  },
  "jobs": {
    "property1": 0,
    "property2": 0
  },
  "period": {
    "from": "2019-08-24T14:15:22Z",
    "to": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}